Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java	(revision 1334)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java	(revision 1335)
@@ -46,11 +46,11 @@
 
         if(drawBars)	{
 			// Create the bar chart
-	        chart = this.getChartsEngine().createXYBarChart(dataset, specificitiesSelection.getName(), SpecificitiesCoreMessages.Charts_X_AXIS_LABEL, SpecificitiesCoreMessages.Charts_Y_AXIS_LABEL, true, false);
+	        chart = this.getChartsEngine().createXYBarChart(dataset, specificitiesSelection.getName(), SpecificitiesCoreMessages.part, SpecificitiesCoreMessages.score, true, false);
         }
         else	{
 			// Create the line chart
-	        chart = this.getChartsEngine().createXYLineChart(result, dataset, specificitiesSelection.getName(), SpecificitiesCoreMessages.Charts_X_AXIS_LABEL, SpecificitiesCoreMessages.Charts_Y_AXIS_LABEL,
+	        chart = this.getChartsEngine().createXYLineChart(result, dataset, specificitiesSelection.getName(), SpecificitiesCoreMessages.part, SpecificitiesCoreMessages.score,
 	        		true, false, true, true, true, false, false);
         }
 
@@ -77,7 +77,7 @@
         // Add positive banality marker
         Marker marker = new ValueMarker(banality);
         marker.setPaint(Color.RED);
-        marker.setLabel(SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.Charts_BANALITY_MARKER_LABEL, banality));
+        marker.setLabel(SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.banalityDDotP0, banality));
         marker.setLabelAnchor(RectangleAnchor.TOP_RIGHT);
         marker.setLabelTextAnchor(TextAnchor.BOTTOM_RIGHT);
         chart.getXYPlot().addRangeMarker(marker);
@@ -86,7 +86,7 @@
         // Add negative banality marker
         marker = new ValueMarker(-banality);
         marker.setPaint(Color.RED);
-        marker.setLabel(SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.Charts_BANALITY_MARKER_LABEL, -banality));
+        marker.setLabel(SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.banalityDDotP0, -banality));
         marker.setLabelAnchor(RectangleAnchor.TOP_RIGHT);
         marker.setLabelTextAnchor(TextAnchor.BOTTOM_RIGHT);
         chart.getXYPlot().addRangeMarker(marker);
@@ -148,7 +148,7 @@
 	        // Custom range axis to cut the values to minimum and maximum values
 	        chart.getXYPlot().setRangeAxis(new ExtendedNumberAxis((NumberAxis) chart.getXYPlot().getRangeAxis(), true, true, minimumValue, maximumValue));
 			
-	        chart.getXYPlot().setDomainAxis(new SymbolAxisBetweenTicks(SpecificitiesCoreMessages.Charts_X_AXIS_LABEL, xAxisSymbols));
+	        chart.getXYPlot().setDomainAxis(new SymbolAxisBetweenTicks(SpecificitiesCoreMessages.part, xAxisSymbols));
         }
         
 		super.updateChart(result);
@@ -165,4 +165,4 @@
 	
 	
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java	(revision 1334)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java	(revision 1335)
@@ -162,7 +162,7 @@
 
 		}
 		catch (Exception e) {
-			Log.severe(SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.ChartsError_CANT_CREATE_SPECIFICITIES_FILE_CHART, this.getChartsEngine().getName()) + e);
+			Log.severe(SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.cantCreateSpecificitiesChartFileChartsEngineDDotP0, this.getChartsEngine().getName()) + e);
 		}
 
 		return file;
@@ -176,4 +176,4 @@
 		return SpecificitiesSelection.class;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java	(revision 1334)
+++ tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java	(revision 1335)
@@ -113,7 +113,7 @@
 		String[] rowNames = getRowNames();
 
 		//write column header
-		String txt = SpecificitiesCoreMessages.SpecificitesResult_8+colseparator+"F"; //$NON-NLS-1$
+		String txt = SpecificitiesCoreMessages.unit+colseparator+"F"; //$NON-NLS-1$
 		for(String colname : getColNames()) {
 			txt += colseparator+ "f_"+colname + colseparator + "Score"; //$NON-NLS-1$ //$NON-NLS-2$
 		}
@@ -282,4 +282,4 @@
 		return this.getClass().getSimpleName();
 	}
 	
-}
+}
\ No newline at end of file
Index: tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/RelativeFrequency.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/RelativeFrequency.java	(revision 1334)
+++ tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/RelativeFrequency.java	(revision 1335)
@@ -32,7 +32,7 @@
 
 	@Override
 	public String getName() {
-		return SpecificitiesCoreMessages.RelativeFrequency_3;
+		return SpecificitiesCoreMessages.relativeFrequencyPercent;
 	}
 
 	@Override
@@ -57,4 +57,4 @@
 	public boolean canCompute() {
 		return itable != null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrasts.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrasts.java	(revision 1334)
+++ tmp/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrasts.java	(revision 1335)
@@ -38,7 +38,7 @@
 	
 	public boolean compute() throws Exception {
 		for (Contrast m : mesures) {
-			System.out.println(TXMCoreMessages.Contrasts_0+m.getName());
+			System.out.println(TXMCoreMessages.computingDDot+m.getName());
 			m.compute();
 		}
 		return true;
@@ -51,4 +51,4 @@
 	public ArrayList<ContrastMethod> getMethods() {
 		return methods;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/utils/ArrayIndex.java
===================================================================
--- tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/utils/ArrayIndex.java	(revision 1334)
+++ tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/utils/ArrayIndex.java	(revision 1335)
@@ -53,12 +53,12 @@
 	 */
 	public static final int[] zeroToOneBasedIndex(int[] zero_based, int length) {
 		if (zero_based == null || zero_based.length == 0) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.ArrayIndex_0);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.theIndexArrayCanNotBeNullOrEmpty);
 		}
 		int[] one_based = new int[zero_based.length];
 		for (int i = 0; i < zero_based.length; i++) {
 			if (zero_based[i] < 0 || zero_based[i] >= length) {
-				throw new IllegalArgumentException(StatsEngineCoreMessages.ArrayIndex_1);
+				throw new IllegalArgumentException(StatsEngineCoreMessages.aZerobasedIndexCannotBeInf0OrSupToTheNumberOfIndexedElements);
 			}
 			one_based[i] = zero_based[i] + 1;
 		}
@@ -98,4 +98,4 @@
 		}
 		return result;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/utils/VectorizeArray.java
===================================================================
--- tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/utils/VectorizeArray.java	(revision 1334)
+++ tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/utils/VectorizeArray.java	(revision 1335)
@@ -66,19 +66,19 @@
 	 */
 	public final static double[] vectorizeByInner(double[][] matrix) {
 		if (matrix == null || matrix.length == 0) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_0);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.nothingToDoWithAnEmptyMatrix);
 		}
 		int inner_length = matrix[0].length;
 		if (inner_length < 1) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_1);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.innerArraysMustBeOfDimensionSup0);
 		}
 		double[] vector = new double[matrix.length * matrix[0].length];
 		for (int i = 0; i < matrix.length; i++) {
 			if (matrix[i] == null) {
-				throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_10);
+				throw new IllegalArgumentException(StatsEngineCoreMessages.anInnerArrayCannotBeNull);
 			}
 			if (inner_length != matrix[i].length) {
-				throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_3);
+				throw new IllegalArgumentException(StatsEngineCoreMessages.allTheInnerArrayDoNotHaveTheSameLength);
 			}
 			System.arraycopy(matrix[i], 0, vector, i * inner_length,
 					inner_length);
@@ -113,19 +113,19 @@
 	 */
 	public final static int[] vectorizeByInner(int[][] matrix) {
 		if (matrix == null || matrix.length == 0) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_4);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.nothingToDoWithAnEmptyMatrix);
 		}
 		int inner_length = matrix[0].length;
 		if (inner_length < 1) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_5);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.innerArraysMustBeOfDimensionSup0);
 		}
 		int[] vector = new int[matrix.length * matrix[0].length];
 		for (int i = 0; i < matrix.length; i++) {
 			if (matrix[i] == null) {
-				throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_10);
+				throw new IllegalArgumentException(StatsEngineCoreMessages.anInnerArrayCannotBeNull);
 			}
 			if (inner_length != matrix[i].length) {
-				throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_7);
+				throw new IllegalArgumentException(StatsEngineCoreMessages.allTheInnerArrayDoNotHaveTheSameLength);
 			}
 			System.arraycopy(matrix[i], 0, vector, i * inner_length, inner_length);
 		}
@@ -159,20 +159,20 @@
 	 */
 	public final static double[] vectorizeByOuter(double[][] matrix) {
 		if (matrix == null || matrix.length == 0) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_8);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.nothingToDoWithAnEmptyMatrix);
 		}
 		int inner_length = matrix[0].length;
 		int outer_length = matrix.length;
 		if (inner_length < 1) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_9);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.innerArraysMustBeOfDimensionSup0);
 		}
 		double[] vector = new double[matrix.length * matrix[0].length];
 		for (int i = 0; i < matrix.length; i++) {
 			if (matrix[i] == null) {
-				throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_10);
+				throw new IllegalArgumentException(StatsEngineCoreMessages.anInnerArrayCannotBeNull);
 			}
 			if (inner_length != matrix[i].length) {
-				throw new IllegalArgumentException(StatsEngineCoreMessages.VectorizeArray_11);
+				throw new IllegalArgumentException(StatsEngineCoreMessages.allTheInnerArrayDoNotHaveTheSameLength);
 			}
 			for (int j = 0; j < matrix[i].length; j++) {
 				vector[(j * outer_length) + i] = matrix[i][j];
@@ -182,4 +182,4 @@
 		return vector;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/messages/StatsEngineCoreMessages.java
===================================================================
--- tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/messages/StatsEngineCoreMessages.java	(revision 1334)
+++ tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/messages/StatsEngineCoreMessages.java	(revision 1335)
@@ -1,61 +1,51 @@
-package org.txm.statsengine.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-/**
- * Statistics engine core messages.
- * 
- * @author sjacquot
- *
- */
-public class StatsEngineCoreMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.statsengine.core.messages.messages"; //$NON-NLS-1$
-	
-	public static String error_statsEngineNotReadyCancelingCommand;
-
-	
-	public static String VectorizeArray_0;
-	public static String VectorizeArray_1;
-	public static String VectorizeArray_10;
-	public static String VectorizeArray_11;
-	public static String VectorizeArray_3;
-	public static String VectorizeArray_4;
-	public static String VectorizeArray_5;
-	public static String VectorizeArray_7;
-	public static String VectorizeArray_8;
-	public static String VectorizeArray_9;
-
-	public static String ArrayIndex_0;
-	public static String ArrayIndex_1;
-	public static String Factor_0;
-	public static String MatrixImpl_10;
-	public static String MatrixImpl_11;
-	public static String MatrixImpl_13;
-	public static String MatrixImpl_14;
-	public static String MatrixImpl_19;
-	public static String MatrixImpl_2;
-	public static String MatrixImpl_20;
-	public static String MatrixImpl_21;
-	public static String MatrixImpl_22;
-	public static String MatrixImpl_23;
-	public static String MatrixImpl_28;
-	public static String MatrixImpl_29;
-	public static String MatrixImpl_4;
-	public static String MatrixImpl_6;
-	public static String MatrixImpl_67;
-	public static String MatrixImpl_73;
-	public static String MatrixImpl_79;
-	public static String MatrixImpl_88;
-
-	public static String QuantitativeDataStructureImpl_2;
-
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, StatsEngineCoreMessages.class);
-	}
-
-	private StatsEngineCoreMessages() {
-	}
-}
+package org.txm.statsengine.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * Statistics engine core messages.
+ * 
+ * @author sjacquot
+ *
+ */
+public class StatsEngineCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.statsengine.core.messages.messages"; //$NON-NLS-1$
+	
+	public static String error_statsEngineNotReadyCancelingCommand;
+
+	
+	public static String nothingToDoWithAnEmptyMatrix; 
+	public static String innerArraysMustBeOfDimensionSup0; 
+	public static String anInnerArrayCannotBeNull; 
+	public static String allTheInnerArrayDoNotHaveTheSameLength; 
+
+	public static String theIndexArrayCanNotBeNullOrEmpty; 
+	public static String aZerobasedIndexCannotBeInf0OrSupToTheNumberOfIndexedElements; 
+	public static String notImplemented; 
+	public static String rowIndex; 
+	public static String tooBigMax; 
+	public static String colIndex; 
+	public static String rObjectEvaluatedToNull; 
+	public static String dim; 
+	public static String unknownTypeDDot; 
+	public static String mode; 
+	public static String columnIndex; 
+	public static String rowNamesOfAContingencyTableCannotBeNull; 
+	public static String columnNamesOfAContingencyTableCannotBeNull; 
+	public static String matrixDDotFailedToGetNrowDDot; 
+	public static String matrixImplDDotErrorDDotColumnSizeDiffersDDotOriginal; 
+	public static String failedToGetRowNames; 
+	public static String cannotDeleteAllLines; 
+
+	public static String cannotDeleteANonexistingObject; 
+
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, StatsEngineCoreMessages.class);
+	}
+
+	private StatsEngineCoreMessages() {
+	}
+}
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 1334)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 1335)
@@ -1,38 +1,38 @@
-package org.txm.lexicaltable.rcp.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-/**
- * Lexical table UI messages.
- * 
- * @author sjacquot
- *
- */
-public class LexicalTableUIMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.lexicaltable.rcp.messages.messages"; //$NON-NLS-1$
-	
-	public static String LexicalTableEditor_1;
-	public static String LexicalTableEditor_10;
-	public static String LexicalTableEditor_11;
-	public static String LexicalTableEditor_12;
-	public static String LexicalTableEditor_13;
-	public static String LexicalTableEditor_14;
-	public static String LexicalTableEditor_15;
-	public static String LexicalTableEditor_18;
-	public static String ComputeLexicalTable_12;
-	public static String ComputeLexicalTable_13;
-	public static String ComputeLexicalTable_16;
-	public static String ComputeLexicalTable_3;
-	public static String ComputeLexicalTable_5;
-	public static String ComputeLexicalTable_6;
-	public static String ComputeLexicalTable_7;
-	
-
-
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, LexicalTableUIMessages.class);
-	}
-}
+package org.txm.lexicaltable.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * Lexical table UI messages.
+ * 
+ * @author sjacquot
+ *
+ */
+public class LexicalTableUIMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.lexicaltable.rcp.messages.messages"; //$NON-NLS-1$
+	
+	public static String errorDDotDifferentColumnsNumberDDotBeforeP0AfterP1; 
+	public static String mergeOrDeleteColumns; 
+	public static String mergeColsDDotP0; 
+	public static String deleteColsDDotP0; 
+	public static String mergeOrDeleteRows; 
+	public static String failedToImportLexicalTable; 
+	public static String errorWhileImportingDataDDotP0; 
+	public static String mergingLines; 
+	public static String userIndexOccurrences; 
+	public static String selectWhichMarginsYouWantToUse; 
+	public static String useAllOccurrences; 
+	public static String openingMargeConfigurationDialog; 
+	public static String canNotCreateALexicalTableWithAnIndexCreatedOnACorpus; 
+	public static String vocabulariesMustShareTheSamePropertiesDDotP0; 
+	public static String vocabulariesMustShareTheSamePartitionDDotP0; 
+	
+
+
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, LexicalTableUIMessages.class);
+	}
+}
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/ColumnSelectionListener.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/ColumnSelectionListener.java	(revision 1334)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/ColumnSelectionListener.java	(revision 1335)
@@ -52,7 +52,7 @@
 	 */
 	@Override
 	public void widgetSelected(SelectionEvent e) {
-		StatusLine.setMessage(TXMUIMessages.SORT_COLUMN);
+		StatusLine.setMessage(TXMUIMessages.sortingColumn);
 		this.editor.sort(this.col, this.index);
 		StatusLine.setMessage(""); //$NON-NLS-1$
 	}
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java	(revision 1334)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java	(revision 1335)
@@ -132,7 +132,7 @@
 		table.setLinesVisible(true);
 
 		if (!(iEditorInput instanceof ITablableEditorInput)) {
-			throw new IllegalArgumentException(TXMUIMessages.TableEditor_0);
+			throw new IllegalArgumentException(TXMUIMessages.canNotCreateATableWithTheProvidedInformationDDotP0);
 		}
 
 		ITablableEditorInput tableInput = (ITablableEditorInput) iEditorInput;
@@ -223,4 +223,4 @@
 	public void setFocus() {
 		viewer.getControl().setFocus();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java	(revision 1334)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java	(revision 1335)
@@ -95,14 +95,14 @@
 
 			@Override
 			public String[] getColumnTitles() {
-				return new String[] { TXMUIMessages.FrequencyListEditorInput_3,
+				return new String[] { TXMUIMessages.form,
 						TXMCoreMessages.common_frequency };
 			}
 
 			@Override
 			public String[] getColumnTypes() {
-				return new String[] { TXMUIMessages.FrequencyListEditorInput_5,
-						TXMUIMessages.FrequencyListEditorInput_6 };
+				return new String[] { TXMUIMessages.string,
+						TXMUIMessages.integer };
 			}
 
 			@Override
@@ -119,7 +119,7 @@
 									v = res.getRow(i).asIntArray();
 								} catch (StatException e) {
 									System.err.println(NLS.bind(
-											TXMUIMessages.GraphicalLogger_0, e));
+											TXMUIMessages.errorDDotP0, e));
 								}
 								row.add(v);
 							}
@@ -174,4 +174,4 @@
 		return this.getResult().getProperty();
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 1334)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 1335)
@@ -245,11 +245,11 @@
 			
 			// Merge or delete columns button
 			mergeDeleteColumnsButton = new Button(extendedParametersArea, SWT.PUSH);
-			mergeDeleteColumnsButton.setText(LexicalTableUIMessages.LexicalTableEditor_10);
+			mergeDeleteColumnsButton.setText(LexicalTableUIMessages.mergeOrDeleteColumns);
 			mergeDeleteColumnsButton.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
-					StatusLine.setMessage(LexicalTableUIMessages.LexicalTableEditor_18);
+					StatusLine.setMessage(LexicalTableUIMessages.mergingLines);
 					ArrayList<Object> selection = new ArrayList<Object>();
 					MergeDeleteDialog d = new MergeDeleteDialog(e.display.getActiveShell(), new ArrayList<Object>(collist), selection, -1);
 
@@ -272,7 +272,7 @@
 							}
 							String newname = d.getMergeName();
 
-							System.out.println(NLS.bind(LexicalTableUIMessages.LexicalTableEditor_11, colindices));
+							System.out.println(NLS.bind(LexicalTableUIMessages.mergeColsDDotP0, colindices));
 							double[] firstcol = cols.get(colindices.get(0));
 
 							// merge selected cols into the first one
@@ -315,7 +315,7 @@
 							refreshTable(true);
 						} else// delete
 						{
-							System.out.println(NLS.bind(LexicalTableUIMessages.LexicalTableEditor_12, colindices));
+							System.out.println(NLS.bind(LexicalTableUIMessages.deleteColsDDotP0, colindices));
 							lexicalTable.getData().removeCols(colindices);
 
 							collist = new ArrayList<Object>();
@@ -347,7 +347,7 @@
 
 			// Merge or delete lines button
 			mergeDeleteRowsButton = new Button(extendedParametersArea, SWT.PUSH);
-			mergeDeleteRowsButton.setText(LexicalTableUIMessages.LexicalTableEditor_13);
+			mergeDeleteRowsButton.setText(LexicalTableUIMessages.mergeOrDeleteRows);
 			mergeDeleteRowsButton.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -470,8 +470,8 @@
 	 */
 	public void refreshInfos() {
 		try {
-			this.setContentDescription(TXMCoreMessages.common_t + lexicalTable.getData().getTotal() + TXMCoreMessages.V + lexicalTable.getData().getNRows()
-					+ TXMCoreMessages.FMIN_2 + lexicalTable.getData().getFMin() + TXMCoreMessages.FMAX_2 + lexicalTable.getData().getFMax());
+			this.setContentDescription(TXMCoreMessages.common_t + lexicalTable.getData().getTotal() + TXMCoreMessages.v + lexicalTable.getData().getNRows()
+					+ TXMCoreMessages.fmin + lexicalTable.getData().getFMin() + TXMCoreMessages.fmax + lexicalTable.getData().getFMax());
 		} catch (Exception e3) {
 			// TODO Auto-generated catch block
 			org.txm.rcp.utils.Logger.printStackTrace(e3);
@@ -672,7 +672,7 @@
 				String[] colnames = lexicalTable.getColNames().asStringsArray();
 				TableColumn[] cols = viewer.getTable().getColumns();
 				if (colnames.length > cols.length) {
-					Log.severe(LexicalTableUIMessages.bind(LexicalTableUIMessages.LexicalTableEditor_1, Arrays.toString(cols), Arrays.toString(colnames)));
+					Log.severe(LexicalTableUIMessages.bind(LexicalTableUIMessages.errorDDotDifferentColumnsNumberDDotBeforeP0AfterP1, Arrays.toString(cols), Arrays.toString(colnames)));
 					return;
 				}
 				for (int i = 0; i < colnames.length ; i++) {
@@ -684,10 +684,10 @@
 				viewer.getTable().getParent().layout();
 				refreshTable(false);
 			} else {
-				Log.severe(LexicalTableUIMessages.LexicalTableEditor_14);
+				Log.severe(LexicalTableUIMessages.failedToImportLexicalTable);
 			}
 		} catch(Exception e) {
-			Log.severe(LexicalTableUIMessages.bind(LexicalTableUIMessages.LexicalTableEditor_15, e));
+			Log.severe(LexicalTableUIMessages.bind(LexicalTableUIMessages.errorWhileImportingDataDDotP0, e));
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 		}
 	}
@@ -714,7 +714,7 @@
 			} else if (index == -1) { // freqs
 				try {
 					lexicalTable.getData().sortByFreqs(reverse);
-					StatusLine.setMessage(TXMUIMessages.SORT_DONE);
+					StatusLine.setMessage(TXMUIMessages.sortDone);
 				} catch (Exception e2) {
 					org.txm.rcp.utils.Logger.printStackTrace(e2);
 				}
@@ -774,4 +774,4 @@
 	@Override
 	public void updateResultFromEditor() {
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/MergeDeleteDialog.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/MergeDeleteDialog.java	(revision 1334)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/MergeDeleteDialog.java	(revision 1335)
@@ -80,7 +80,7 @@
 	@Override
 	protected void configureShell(Shell shell) {
 	      super.configureShell(shell);
-	      shell.setText(TXMUIMessages.MergeDeleteDialog_1);
+	      shell.setText(TXMUIMessages.mergeDelete);
 	   }
 
 
@@ -92,7 +92,7 @@
 		super.createDialogArea(parent);
 
 		mergeRadio = new Button(mainArea, SWT.RADIO);
-		mergeRadio.setText(TXMUIMessages.MergeDeleteDialog_0);
+		mergeRadio.setText(TXMUIMessages.merge);
 		mergeRadio.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false,
 				2, 1));
 		mergeRadio.setSelection(true);
@@ -103,7 +103,7 @@
 				2, 1));
 		
 		newname = new Text(mainArea, SWT.SINGLE | SWT.BORDER);
-		newname.setText(TXMUIMessages.MergeDeleteDialog_4);
+		newname.setText(TXMUIMessages.mergeResultName);
 		newname.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false, 4,
 				1));
 
@@ -146,4 +146,4 @@
 	public String getMergeName() {
 		return mergename;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 1334)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 1335)
@@ -82,15 +82,15 @@
 			IWorkbenchWindow window = TXMWindows.getActiveWindow();
 			List<PartitionIndex> vocabularies = ((IStructuredSelection) HandlerUtil.getCurrentSelection(event)).toList();
 			
-			Log.info(LexicalTableUIMessages.ComputeLexicalTable_3);
+			Log.info(LexicalTableUIMessages.openingMargeConfigurationDialog);
 			ArrayList<String> choices = new ArrayList<String>();
-			choices.add(LexicalTableUIMessages.ComputeLexicalTable_16);
-			choices.add(LexicalTableUIMessages.ComputeLexicalTable_12);
+			choices.add(LexicalTableUIMessages.useAllOccurrences);
+			choices.add(LexicalTableUIMessages.userIndexOccurrences);
 			ListDialog dialog = new ListDialog(window.getShell());
 			dialog.setInput(choices);
 			dialog.setLabelProvider(new LabelProvider());
 			dialog.setContentProvider(new ArrayContentProvider());
-			dialog.setTitle(LexicalTableUIMessages.ComputeLexicalTable_13);
+			dialog.setTitle(LexicalTableUIMessages.selectWhichMarginsYouWantToUse);
 
 			int ret = dialog.open();
 			boolean useAllOccurrences = false;
@@ -101,7 +101,7 @@
 					return null;
 				}
 				String sel = (String) dialog.getResult()[0];
-				if(sel.equals(LexicalTableUIMessages.ComputeLexicalTable_16)) {
+				if(sel.equals(LexicalTableUIMessages.useAllOccurrences)) {
 					useAllOccurrences = true;
 				}
 			} else {
@@ -120,8 +120,8 @@
 			vocabularies = vocabularies.subList(0, 1);
 			for (PartitionIndex voc : vocabularies) {
 				if (!voc.isComputedWithPartition()) {
-					System.out.println(LexicalTableUIMessages.ComputeLexicalTable_5);
-					StatusLine.setMessage(LexicalTableUIMessages.ComputeLexicalTable_5);
+					System.out.println(LexicalTableUIMessages.canNotCreateALexicalTableWithAnIndexCreatedOnACorpus);
+					StatusLine.setMessage(LexicalTableUIMessages.canNotCreateALexicalTableWithAnIndexCreatedOnACorpus);
 					return false;
 				}
 			}
@@ -129,7 +129,7 @@
 			List<WordProperty> properties = vocabularies.get(0).getProperties();
 			for (PartitionIndex voc : vocabularies) {
 				if (!properties.equals(voc.getProperties())) {
-					Log.warning(NLS.bind(LexicalTableUIMessages.ComputeLexicalTable_6, properties));
+					Log.warning(NLS.bind(LexicalTableUIMessages.vocabulariesMustShareTheSamePropertiesDDotP0, properties));
 					return false;
 				}
 			}
@@ -138,7 +138,7 @@
 			Partition firstPartition = firstIndex.getPartition();
 			for (PartitionIndex voc : vocabularies) {
 				if (!firstPartition.equals(voc.getPartition())) {
-					Log.warning(NLS.bind(LexicalTableUIMessages.ComputeLexicalTable_7, firstPartition));
+					Log.warning(NLS.bind(LexicalTableUIMessages.vocabulariesMustShareTheSamePartitionDDotP0, firstPartition));
 					return false;
 				}
 			}
@@ -456,4 +456,4 @@
 	
 	
 	
-}
+}
\ No newline at end of file
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/MergeLines.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/MergeLines.java	(revision 1334)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/MergeLines.java	(revision 1335)
@@ -68,8 +68,8 @@
 				return null;
 
 			String newname = ""; //$NON-NLS-1$
-			InputDialog d = new InputDialog(shell, TXMUIMessages.MergeCols_1,
-					TXMUIMessages.MergeLines_2, "", null); //$NON-NLS-1$ 
+			InputDialog d = new InputDialog(shell, TXMUIMessages.newName,
+					TXMUIMessages.editTheNameOfTheNewLineCreatedByTheMergedLines, "", null); //$NON-NLS-1$ 
 			if (d.open() == Window.OK)
 				newname = d.getValue();
 			else
@@ -93,7 +93,7 @@
 	static public void mergeLines(LexicalTableEditor LTeditor, String newname,
 			int[] selection) {
 		// sum the lines
-		StatusLine.setMessage(LexicalTableUIMessages.LexicalTableEditor_18);
+		StatusLine.setMessage(LexicalTableUIMessages.mergingLines);
 		List<double[]> cols = LTeditor.getCols();
 		LexicalTable table = LTeditor.getLexicalTable();
 		TableViewer lineTableViewer = LTeditor.getlineTableViewer();
@@ -128,4 +128,4 @@
 		}
 		StatusLine.setMessage(""); //$NON-NLS-1$
 	}
-}
+}
\ No newline at end of file
